/**
* style.css
* minimal css for admintools-3
*/

#admintools-3-container {
	position: relative;
	padding-bottom: 2rem;
}

#admintools-3-container .at3-logout {
	position: absolute;
	top: -3.5rem;
	right: 0px;
	z-index: 100;
	font-size: 0.75em;
	text-transform: uppercase;
}
#admintools-3-container .at3-logout a:after {
	content: '\27B2';
	display: inline-block;
	padding: 3px 0.2em 0 0.5em;
}

#admintools-3-container #admintools-3-reset {
	position: absolute;
	top: -2rem;
	right: 0px;
	z-index: 100;
	font-size: 0.75em;
	text-transform: uppercase;
	
	display: none;
}
#admintools-3-reset:after {
	content: '\27F3';
	display: inline-block;
	padding: 3px 0.2em 0 0.5em;
	font-size: 1rem;
}

#admintools-3-container #admintools-3 {
	position: relative;
}
#admintools-3 .crumbtrail .ct-separator::before {
	display: inline-block;
	content: '>';
	content: '\203A';
	padding: 0 4px 0 4px;
}

#admintools-3 pre {
	background-color: #fff;
}

/* PAGE INTROS ========================================================================= */
/* 
styles for page intros that may be written on the wordpress admintools page
see admintools-3/api.js at3_containers_page_intros()
*/
#admintools-container {
	/* REQUIRED for the intros to work!!!!! */
	position: relative;
}
.admintools-3-intro {
	display: none;
}
.admintools-3-intro.admintools-3-intro-menu {
}
.admintools-3-intro.admintools-3-intro-records {
}
.admintools-3-intro.admintools-3-intro-detail {
}
/* /PAGE INTROS ========================================================================= */

/* TABLE =============================================================================== */
#admintools-3 .table {
	display: table;
	/* border: solid 10px red; */
}
#admintools-3 .row {
	display: table-row;
	/* border: solid 10px green; */
}
#admintools-3 .row.header-row {
	font-weight: bold;
}
#admintools-3 .cell,
#admintools-3 .cell a {
	display: table-cell;
	word-break: keep-all;
	/* border: solid 10px blue; */
}
/* /TABLE =============================================================================== */

/* LOGIN ================================================================================= */
#admintools-3 .login-container {
}

#admintools-3 .login-container .at3-h2 {
	padding-bottom: 2rem;
}

#admintools-3 .login-container .at3-login-element-container {
	position: relative;
	padding-bottom: 0.75rem;
}

#admintools-3 .login-container .at3-login-element-container div:nth-of-type(2) {
	padding-bottom: 0.75rem;
}

#admintools-3 .login-container label {
	display: block;
	text-transform: uppercase;
	font-size: .8em;
	padding-bottom: 5px;
}
/* /LOGIN ================================================================================= */

/* MENU ================================================================================== */
/* /MENU ================================================================================== */

/* RECORDS =============================================================================== */
#admintools-3 .records-wrapper-top-1,
#admintools-3 .records-wrapper-top-2,
#admintools-3 .records-wrapper-top-3 {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 0 0 1rem 0;
}
#admintools-3 .records-wrapper-top-1 {
	/* border: solid 10px red; */
}
#admintools-3 .records-wrapper-top-2 {
	/* border: solid 10px blue; */
}
#admintools-3 .records-wrapper-top-3 {
	/* border: solid 10px green; */
}

#admintools-3 .records-tablename-container {
	word-break: keep-all;
	white-space: nowrap;
}

#admintools-3 .records-reset-name-container {
	display: flex;
	align-items: center;
}
#admintools-3 .records-reset-container {
	font-size: 1.5em;
	text-decoration: none !important;
	/* border: solid 10px red; */
}
#admintools-3 .records-reset-container:before {
	content: '\27F3';
	display: block;
	padding: 3px 0.5em 0 0.5em;
}

#admintools-3 .records-search {
	position: relative;
	/* border: solid 1px red; */
}
#admintools-3 .records-search:after {
	/* spyglass character */
	position: absolute;
	top: 50%;
	right: 1em;
	transform: translate(0,-50%);
	display: block;
	content: '\01F50D';
	content: '\01F50D \FE0E';
}
#admintools-3 .records-search input {
	padding-right: 2em;
	/* do NOT set width to 100% here!!!!! */
	width: auto;
}
#admintools-3 .records-search-reset {
	position: absolute;
	top: 0;
	right: 4px;
	right: -2rem;
	z-index: 10;

	display: flex;
	align-items: center;
	
	height: 100%;
	text-decoration: none !important;
	/* border: solid 1px blue; */
}
#admintools-3 .records-search-reset:before {
	content: '\274C';
	content: '\27F3';
	font-size: 1.5rem;
}

/* Records | pagination ========== */
#admintools-3 .pagination-nav-per-page-container {
	white-space: nowrap;
}
#admintools-3 .pagination-nav-per-page-container::before {
	display: inline-block;
	content: 'Display';
	padding-right: 6px;
}
#admintools-3 .pagination-nav-per-page-container form {
	display: inline-block;
}

#admintools-3 .pagination-nav-goto-page::before {
	display: inline-block;
	content: 'Go to page';
	padding-right: 6px;
}
#admintools-3 .pagination-nav-goto-page form {
	display: inline-block;
}
#admintools-3 .pagination-nav-goto-page input {
	width: 50px;
}

#admintools-3 .pagination-nav-pages {
	display: flex;
	flex-wrap: nowrap;
}
#admintools-3 .pagination-nav-pages div {
	align-self: center;
	white-space: nowrap;
	/* border: solid 1px red; */
}
#admintools-3 .pagination-nav-pages .first::before {
	content: '\2039\2039';
	display: inline-block;
	padding: 0 10px 0 0;
	cursor: pointer;
}
#admintools-3 .pagination-nav-pages .prev::before {
	content: '\2039';
	display: inline-block;
	padding: 0 3px 0 0;
	cursor: pointer;
}
#admintools-3 .pagination-nav-pages .next::before {
	content: '\203A';
	display: inline-block;
	padding: 0 0 0 3px;
	cursor: pointer;
}
#admintools-3 .pagination-nav-pages .last::before {
	content: '\203A\203A';
	display: inline-block;
	padding: 0 0 0 10px;
	cursor: pointer;
}
#admintools-3 .pagination-nav-pages .page-num {
	padding: 0 3px 0 3px;
	cursor: pointer;
	border-bottom: solid 1px transparent;
}
#admintools-3 .pagination-nav-pages .page-num.cp {
	border-bottom: solid 1px #000;
}
/* /Records | pagination ========== */

/* Records | table ========== */
#admintools-3 .records-container-topscroll,
#admintools-3 .records-container-topscroll-inner  {
	height: 20px;
	overflow: auto !important;
}
#admintools-3 .records-container {
	overflow: auto !important;
	margin-bottom: 1rem;
	padding-bottom: 1rem;
}
#admintools-3 .records .cell {
	padding: 3px;
}
#admintools-3 .records .col-orderby {
	cursor: pointer;
	white-space: nowrap;
}
#admintools-3 .records .col-orderby-dir::after {
	display: inline-block;
	padding-left: 4px;
	font-family: "Font Awesome\ 5 Free";
	content: '\f0dc';
	opacity: 0.25;
	/* border: solid 1px red; */
}
#admintools-3 .records .col-orderby-dir.asc::after {
	content: '\f0de';
	opacity: 1;
}
#admintools-3 .records .col-orderby-dir.desc::after {
	content: '\f0dd';
	opacity: 1;
}

#admintools-3 .records .cell.choose::before {
	display: inline-block;
	content: '\01F5F9';
	font-size: 1.3rem;
	color: blue;
	cursor: pointer;
}

#admintools-3 .records .cell.edit::before,
#admintools-3 .records .cell.edit-custom::before {
	display: inline-block;
	content: '\270E';
	font-size: 1.3rem;
	color: blue;
	cursor: pointer;
}

#admintools-3 .records .cell.delete::before {
	display: inline-block;
	content: '\26D4';
	content: '\01F5D1';
	font-size: 0.85rem;
	font-size: 1.3rem;
	color: red;
	cursor: pointer;
}

#admintools-3 .records .cell label {
	display: initial;
}
/* /Records | table ========== */
/* /RECORDS =============================================================================== */

/* DETAIL ================================================================================ */
#admintools-3 .detail-tablename-container {
	display: none;
}

#admintools-3 .detail {
	display: flex;
	justify-content: space-between;
}

#admintools-3 .detail label {
	position: relative;
	display: inline-block;
}
#admintools-3 .detail .at3-detail-element-container {
	position: relative;
	padding-bottom: 0.75rem;
}

#admintools-3 .detail .element-wrapper-password {
	padding-bottom: 0.75rem;
}
.password-password-confirm-container {
	max-width: 500px;
}
.pswd-container {
	position: relative;
	/* display: inline-block; */
}
.pswd-container input {
	padding-right: 2.5em;
}
.pswd-container .at3-show-pswd {
	position: absolute;
	top: 2px;
	right: 1em;
	z-index: 20;
	transform: translate(0,50%) scale(1.75);

	padding-left: 0.5em;
	color: rgba(0,0,0,0.50) !important;
	cursor: pointer;
}
.pswd-container .at3-show-pswd.active {
	color: rgba(0,0,0,1) !important;
}
.pswd-container .at3-show-pswd:after {
	content: '\01F441';
}
#admintools-3 .detail .password-element div:nth-of-type(2) {
	padding-bottom: 0.75rem;
}
.random-pswd {
	font-size: .85rem;
}
.random-generated-password {
	font-weight: bold;
}


#admintools-3 .detail label {
	position: relative;
	display: block;
	/* display: inline-block; */
	text-transform: uppercase;
	font-size: .8em;
	padding-bottom: 5px;
}
#admintools-3 .detail .at3-detail-required:before {
	display: inline-block;
	content: '*';
	padding: 5px 0 5px 0;
	color: red;
}

#admintools-3 .detail textarea {
	width: 80%;
}

#admintools-3 .detail label.label-checkbox,
#admintools-3 .detail label.label-radio {
	display: inline-block;
	margin-right: 1em;
	font-size: 1em;
	text-transform: none;
	cursor: pointer;
}

#admintools-3 .detail .random-generator {
	cursor: pointer;
}
#admintools-3 .detail .random-generator::after {
	content: '+';
	padding-left: 4px;
}

#admintools-3 .detail .detail-location-1 {
	flex-basis: 65%;
	max-width: 65%;
	padding-right: 1%
	/* border: solid 10px red; */
}

#admintools-3 .detail .detail-location-2 {
	/* NOTE: do NOT use this: display: table; */
	flex-basis: 33%;
	min-width: 33%;
	padding-left: 1%;
	/* border: solid 10px green; */
}
#admintools-3 .detail .detail-location-2 > div {
	display: table-row;
}
#admintools-3 .detail .detail-location-2 > div label,
#admintools-3 .detail .detail-location-2 > div div {
	display: table-cell;
	line-height: 1.5;
}
#admintools-3 .detail .detail-location-2 > div label {
	white-space: nowrap;
}
#admintools-3 .detail .detail-location-2 > div label:after {
	display: inline;
	content: ':';
	padding-right: 5px;
}
/* /DETAIL ================================================================================ */

/* FORMS ================================================================================= */
#admintools-3 .at3-forms-container {
	display: none;
	position: relative;
}
#admintools-3 .at3-forms-container > div {
	/* see wp-content/themes/hotpepper_v5/assets/css/style-custom.css  */
	margin-bottom: var(--hp-margin-bot-3);
}

#admintools-3 .at3-password-element-wrapper {
	position: relative;
}

#admintools-3 .text-element,
#admintools-3 .textarea-element {
	display: flex;
	align-items: center;
}
#admintools-3 .ck-toolbar__items button {
	padding: 0 !important;
	font-size: 0.7rem !important;
	border-radius: 3px !important;
}
#admintools-3 input[type="date"] {
	max-width: 200px;
}

#admintools-3 .at3-bn-undo::after {
    display: inline-block;
    content: '\21BA';
	padding-left: 4px;
    font-size: 1rem;
    color: blue;
    cursor: pointer;
}

#admintools-3 .print-val-edit::after {
    display: inline-block;
    content: '\270E';
    font-size: 1rem;
    color: blue;
    cursor: pointer;
}
#admintools-3 .print-val-edit-2::after {
    display: inline-block;
    content: '\01F589';
    font-size: 1rem;
    color: blue;
    cursor: pointer;
}
/* FORMS ================================================================================= */

/* UPLOAD ================================================ */
#admintools-3 .file-upload-img-container img {
	max-width: var(--hp-form-width);
}
#admintools-3 .file-upload-display-name {
}
#admintools-3 .file-upload-bn {
}
#admintools-3 .file-uploaded {
}
#admintools-3 .file-element {
	display: flex;
	align-items: center;
	justify-content: center;
	
	position: relative;
	width: 303px;
	height: 104px;
	margin: 0px 0px 10px 0px;
	color: rgba(0,0,0,0.5);
	background-color: #fff;
	border: dashed 1px rgba(0,0,0,0.5);
}
#admintools-3 .file-element:before {
	content: '\2B89';
	font-size: 3rem;
}
#admintools-3 .file-element:after {
	content: 'drag here to upload';
	padding-left: .5rem;
}
#admintools-3 .file-element input[type="file"] {
	position: absolute;
	z-index: 20;
	width: 100%;
	height: 100%;
	opacity: 0;
}
/* /UPLOAD ================================================ */

/* TOOLTIP =============================================================================== */
#admintools-3 .tooltip {
	position: relative;
	top: 0px;
	left: 0px;
	z-index: 10000;
}
#admintools-3 .tooltip .trigger {
}
#admintools-3 .tooltip .trigger::before {
	display: block;
	content: '\1F441';
	cursor: pointer;
}
#admintools-3 .tooltip .contents {
	display: none;
	position: absolute;
	top: 0px;
	left: 1.2rem;
	z-index: 10;
	padding: 5px;
	max-width: 400px;
	max-height: 250px;
	background-color: #fff;
	border: solid 1px #000;
	overflow-y: auto;
}
#admintools-3 .tooltip .contents > div {
	font-weight: bold;
}
/* /TOOLTIP =============================================================================== */

/* HELP POPUP ============================================================================ */
.at3-help-container {
	position: relative;
}
#admintools-3 .at3-help-trigger:before {
	display: inline-block;
	content: '?';
	padding-left: 0.5em;
	font-size: 0.85rem;
	color: #999;
	cursor: help;
}
#admintools-3 .at3-help-content {
	position: absolute;
	top: 1.1rem;
	left: 1.1rem;
	z-index: 10;
	min-width: 300px;
	min-height: 100px;
	padding: 5px;
	text-transform: none;
	font-size: 0.85rem;
	background-color: #fff;
	box-shadow: 0 0 1px rgba(0,0,0,0.75);
	display: none;
}
/* /HELP POPUP ============================================================================ */

/* MISC ASCII ============================================================================ */
.ascii-email-0::before {
	content: '\01F4E7';
	content: '\2297';
	content: '\01F147';
	content: '\2709';
	color: red;
}
.ascii-email-1::before {
	content: '\01F4E7';
	content: '\01F5F9';
	content: '\2709';
	color: green;
}
.ascii-xmark-1::before {
	content: '\01F4E7';
	content: '\2297';
	content: '\01F147';
	color: red;
}
.ascii-checkmark-1::before {
	content: '\01F4E7';
	content: '\01F5F9';
	color: red;
}
.ascii-checkmark-2::before {
	content: '\01F4E7';
	content: '\01F5F9';
	color: green;
}
/* /MISC ASCII ============================================================================ */

.ck.ck-label {
	display: none !important;
}

